totemsrp_instance Struct Reference
Collaboration diagram for totemsrp_instance:
[legend]

## Data Fields

int | iface_changes
int | failed_to_recv
int | fcc_remcast_last
int | fcc_mcast_last
int | fcc_remcast_current
struct consensus_list_item | consensus_list [PROCESSOR_COUNT_MAX]
int | consensus_list_entries
int | lowest_active_if
struct srp_addr | my_id
struct totem_ip_address | my_addrs [INTERFACE_MAX]
struct srp_addr | my_proc_list [PROCESSOR_COUNT_MAX]
struct srp_addr | my_failed_list [PROCESSOR_COUNT_MAX]
struct srp_addr | my_new_memb_list [PROCESSOR_COUNT_MAX]
struct srp_addr | my_trans_memb_list [PROCESSOR_COUNT_MAX]
struct srp_addr | my_memb_list [PROCESSOR_COUNT_MAX]
struct srp_addr | my_deliver_memb_list [PROCESSOR_COUNT_MAX]
struct srp_addr | my_left_memb_list [PROCESSOR_COUNT_MAX]
unsigned int | my_leave_memb_list [PROCESSOR_COUNT_MAX]
int | my_proc_list_entries
int | my_failed_list_entries
int | my_new_memb_entries
int | my_trans_memb_entries
int | my_memb_entries
int | my_deliver_memb_entries
int | my_left_memb_entries
int | my_leave_memb_entries
struct memb_ring_id | my_ring_id
struct memb_ring_id | my_old_ring_id
int | my_aru_count
int | my_merge_detect_timeout_outstanding
unsigned int | my_last_aru
int | my_seq_unchanged
int | my_received_flg
unsigned int | my_high_seq_received
unsigned int | my_install_seq
int | my_rotation_counter
int | my_set_retrans_flg
int | my_retrans_flg_count
unsigned int | my_high_ring_delivered
int | heartbeat_timeout
struct cs_queue | new_message_queue
struct cs_queue | new_message_queue_trans
struct cs_queue | retrans_message_queue
struct sq | regular_sort_queue
struct sq | recovery_sort_queue
unsigned int | my_aru
unsigned int | my_high_delivered
struct qb_list_head | token_callback_received_listhead
struct qb_list_head | token_callback_sent_listhead
char | orf_token_retransmit [TOKEN_SIZE_MAX]
int | orf_token_retransmit_size
unsigned int | my_token_seq
qb_loop_timer_handle | timer_pause_timeout
qb_loop_timer_handle | timer_orf_token_timeout
qb_loop_timer_handle | timer_orf_token_warning
qb_loop_timer_handle | timer_orf_token_retransmit_timeout
qb_loop_timer_handle | timer_orf_token_hold_retransmit_timeout
qb_loop_timer_handle | timer_merge_detect_timeout
qb_loop_timer_handle | memb_timer_state_gather_join_timeout
qb_loop_timer_handle | memb_timer_state_gather_consensus_timeout
qb_loop_timer_handle | memb_timer_state_commit_timeout
qb_loop_timer_handle | timer_heartbeat_timeout
int | totemsrp_log_level_security
int | totemsrp_log_level_error
int | totemsrp_log_level_warning
int | totemsrp_log_level_notice
int | totemsrp_log_level_debug
int | totemsrp_log_level_trace
int | totemsrp_subsys_id
void(* | totemsrp_log_printf )(int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf
void(*) enum memb_stat | memb_state )
qb_loop_t * | totemsrp_poll_handle
struct totem_ip_address | mcast_address
void(* | totemsrp_deliver_fn )(unsigned int nodeid, const void *msg, unsigned int msg_len, int endian_conversion_required)
void(* | totemsrp_confchg_fn )(enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id)
void(* | totemsrp_service_ready_fn )(void)
void(* | totemsrp_waiting_trans_ack_cb_fn )(int waiting_trans_ack)
void(* | memb_ring_id_create_or_load )(struct memb_ring_id *memb_ring_id, unsigned int nodeid)
void(* | memb_ring_id_store )(const struct memb_ring_id *memb_ring_id, unsigned int nodeid)
int | global_seqno
int | my_token_held
unsigned long long | token_ring_id_seq
unsigned int | last_released
unsigned int | set_aru
int | old_ring_state_saved
int | old_ring_state_aru
unsigned int | old_ring_state_high_seq_received
unsigned int | my_last_seq
struct timeval | tv_old
void * | totemnet_context
struct totem_config * | totem_config
unsigned int | use_heartbeat
unsigned int | my_trc
unsigned int | my_pbl
unsigned int | my_cbl
uint64_t | pause_timestamp
struct memb_commit_token * | commit_token
totemsrp_stats_t | stats
uint32_t | orf_token_discard
uint32_t | originated_orf_token
uint32_t | threaded_mode_enabled
uint32_t | waiting_trans_ack
int | flushing
void * | token_recv_event_handle
void * | token_sent_event_handle
char | commit_token_storage [40000]

## Detailed Description

Definition at line 284 of file totemsrp.c.

## Field Documentation

## commit_token

struct memb_commit_token* totemsrp_instance::commit_token

Definition at line 514 of file totemsrp.c.

## commit_token_storage

char totemsrp_instance::commit_token_storage[40000]

Definition at line 530 of file totemsrp.c.

## consensus_list

struct consensus_list_item totemsrp_instance::consensus_list[PROCESSOR_COUNT_MAX]

Definition at line 296 of file totemsrp.c.

## consensus_list_entries

int totemsrp_instance::consensus_list_entries

Definition at line 300 of file totemsrp.c.

## failed_to_recv

int totemsrp_instance::failed_to_recv

Definition at line 287 of file totemsrp.c.

## fcc_mcast_last

int totemsrp_instance::fcc_mcast_last

Definition at line 294 of file totemsrp.c.

## fcc_remcast_current

int totemsrp_instance::fcc_remcast_current

Definition at line 296 of file totemsrp.c.

## fcc_remcast_last

int totemsrp_instance::fcc_remcast_last

Definition at line 292 of file totemsrp.c.

## flushing

int totemsrp_instance::flushing

Definition at line 526 of file totemsrp.c.

## global_seqno

int totemsrp_instance::global_seqno

Definition at line 480 of file totemsrp.c.

## heartbeat_timeout

int totemsrp_instance::heartbeat_timeout

Definition at line 366 of file totemsrp.c.

## iface_changes

int totemsrp_instance::iface_changes

Definition at line 285 of file totemsrp.c.

Referenced by main_iface_change_fn().

## last_released

unsigned int totemsrp_instance::last_released

Definition at line 486 of file totemsrp.c.

## lowest_active_if

int totemsrp_instance::lowest_active_if

Definition at line 302 of file totemsrp.c.

Referenced by totemsrp_my_family_get().

## mcast_address

struct totem_ip_address totemsrp_instance::mcast_address

Definition at line 450 of file totemsrp.c.

## memb_ring_id_create_or_load

void(* totemsrp_instance::memb_ring_id_create_or_load) (struct memb_ring_id *memb_ring_id, unsigned int nodeid)

Definition at line 472 of file totemsrp.c.

Referenced by main_iface_change_fn().

## memb_ring_id_store

void(* totemsrp_instance::memb_ring_id_store) (const struct memb_ring_id *memb_ring_id, unsigned int nodeid)

Definition at line 476 of file totemsrp.c.

## memb_state

void(*) enum memb_stat totemsrp_instance::memb_state)

Definition at line 438 of file totemsrp.c.

## memb_timer_state_commit_timeout

qb_loop_timer_handle totemsrp_instance::memb_timer_state_commit_timeout

Definition at line 417 of file totemsrp.c.

## memb_timer_state_gather_consensus_timeout

qb_loop_timer_handle totemsrp_instance::memb_timer_state_gather_consensus_timeout

Definition at line 415 of file totemsrp.c.

## memb_timer_state_gather_join_timeout

qb_loop_timer_handle totemsrp_instance::memb_timer_state_gather_join_timeout

Definition at line 413 of file totemsrp.c.

## my_addrs

struct totem_ip_address totemsrp_instance::my_addrs[INTERFACE_MAX]

Definition at line 302 of file totemsrp.c.

Referenced by main_iface_change_fn(), totemsrp_iface_set(), and totemsrp_member_add().

## my_aru

unsigned int totemsrp_instance::my_aru

Definition at line 384 of file totemsrp.c.

## my_aru_count

int totemsrp_instance::my_aru_count

Definition at line 344 of file totemsrp.c.

## my_cbl

unsigned int totemsrp_instance::my_cbl

Definition at line 510 of file totemsrp.c.

## my_deliver_memb_entries

int totemsrp_instance::my_deliver_memb_entries

Definition at line 334 of file totemsrp.c.

## my_deliver_memb_list

struct srp_addr totemsrp_instance::my_deliver_memb_list[PROCESSOR_COUNT_MAX]

Definition at line 302 of file totemsrp.c.

## my_failed_list

struct srp_addr totemsrp_instance::my_failed_list[PROCESSOR_COUNT_MAX]

Definition at line 302 of file totemsrp.c.

## my_failed_list_entries

int totemsrp_instance::my_failed_list_entries

Definition at line 326 of file totemsrp.c.

## my_high_delivered

unsigned int totemsrp_instance::my_high_delivered

Definition at line 386 of file totemsrp.c.

## my_high_ring_delivered

unsigned int totemsrp_instance::my_high_ring_delivered

Definition at line 364 of file totemsrp.c.

## my_high_seq_received

unsigned int totemsrp_instance::my_high_seq_received

Definition at line 354 of file totemsrp.c.

## my_id

struct srp_addr totemsrp_instance::my_id

Definition at line 302 of file totemsrp.c.

Referenced by main_iface_change_fn(), and totemsrp_my_nodeid_get().

## my_install_seq

unsigned int totemsrp_instance::my_install_seq

Definition at line 356 of file totemsrp.c.

## my_last_aru

unsigned int totemsrp_instance::my_last_aru

Definition at line 348 of file totemsrp.c.

## my_last_seq

unsigned int totemsrp_instance::my_last_seq

Definition at line 496 of file totemsrp.c.

## my_leave_memb_entries

int totemsrp_instance::my_leave_memb_entries

Definition at line 338 of file totemsrp.c.

## my_leave_memb_list

unsigned int totemsrp_instance::my_leave_memb_list[PROCESSOR_COUNT_MAX]

Definition at line 322 of file totemsrp.c.

## my_left_memb_entries

int totemsrp_instance::my_left_memb_entries

Definition at line 336 of file totemsrp.c.

## my_left_memb_list

struct srp_addr totemsrp_instance::my_left_memb_list[PROCESSOR_COUNT_MAX]

Definition at line 302 of file totemsrp.c.

## my_memb_entries

int totemsrp_instance::my_memb_entries

Definition at line 332 of file totemsrp.c.

## my_memb_list

struct srp_addr totemsrp_instance::my_memb_list[PROCESSOR_COUNT_MAX]

Definition at line 302 of file totemsrp.c.

## my_merge_detect_timeout_outstanding

int totemsrp_instance::my_merge_detect_timeout_outstanding

Definition at line 346 of file totemsrp.c.

## my_new_memb_entries

int totemsrp_instance::my_new_memb_entries

Definition at line 328 of file totemsrp.c.

## my_new_memb_list

struct srp_addr totemsrp_instance::my_new_memb_list[PROCESSOR_COUNT_MAX]

Definition at line 302 of file totemsrp.c.

## my_old_ring_id

struct memb_ring_id totemsrp_instance::my_old_ring_id

Definition at line 338 of file totemsrp.c.

## my_pbl

unsigned int totemsrp_instance::my_pbl

Definition at line 508 of file totemsrp.c.

## my_proc_list

struct srp_addr totemsrp_instance::my_proc_list[PROCESSOR_COUNT_MAX]

Definition at line 302 of file totemsrp.c.

Referenced by totemsrp_nodestatus_get().

## my_proc_list_entries

int totemsrp_instance::my_proc_list_entries

Definition at line 324 of file totemsrp.c.

Referenced by totemsrp_nodestatus_get().

## my_received_flg

int totemsrp_instance::my_received_flg

Definition at line 352 of file totemsrp.c.

## my_retrans_flg_count

int totemsrp_instance::my_retrans_flg_count

Definition at line 362 of file totemsrp.c.

## my_ring_id

struct memb_ring_id totemsrp_instance::my_ring_id

Definition at line 338 of file totemsrp.c.

Referenced by main_iface_change_fn().

## my_rotation_counter

int totemsrp_instance::my_rotation_counter

Definition at line 358 of file totemsrp.c.

## my_seq_unchanged

int totemsrp_instance::my_seq_unchanged

Definition at line 350 of file totemsrp.c.

## my_set_retrans_flg

int totemsrp_instance::my_set_retrans_flg

Definition at line 360 of file totemsrp.c.

## my_token_held

int totemsrp_instance::my_token_held

Definition at line 482 of file totemsrp.c.

## my_token_seq

unsigned int totemsrp_instance::my_token_seq

Definition at line 396 of file totemsrp.c.

## my_trans_memb_entries

int totemsrp_instance::my_trans_memb_entries

Definition at line 330 of file totemsrp.c.

## my_trans_memb_list

struct srp_addr totemsrp_instance::my_trans_memb_list[PROCESSOR_COUNT_MAX]

Definition at line 302 of file totemsrp.c.

## my_trc

unsigned int totemsrp_instance::my_trc

Definition at line 506 of file totemsrp.c.

## new_message_queue

struct cs_queue totemsrp_instance::new_message_queue

Definition at line 366 of file totemsrp.c.

Referenced by totemsrp_avail(), and totemsrp_mcast().

## new_message_queue_trans

struct cs_queue totemsrp_instance::new_message_queue_trans

Definition at line 366 of file totemsrp.c.

Referenced by totemsrp_avail(), and totemsrp_mcast().

## old_ring_state_aru

int totemsrp_instance::old_ring_state_aru

Definition at line 492 of file totemsrp.c.

## old_ring_state_high_seq_received

unsigned int totemsrp_instance::old_ring_state_high_seq_received

Definition at line 494 of file totemsrp.c.

## old_ring_state_saved

int totemsrp_instance::old_ring_state_saved

Definition at line 490 of file totemsrp.c.

## orf_token_discard

uint32_t totemsrp_instance::orf_token_discard

Definition at line 518 of file totemsrp.c.

## orf_token_retransmit

char totemsrp_instance::orf_token_retransmit[TOKEN_SIZE_MAX]

Definition at line 392 of file totemsrp.c.

## orf_token_retransmit_size

int totemsrp_instance::orf_token_retransmit_size

Definition at line 394 of file totemsrp.c.

## originated_orf_token

uint32_t totemsrp_instance::originated_orf_token

Definition at line 520 of file totemsrp.c.

## pause_timestamp

uint64_t totemsrp_instance::pause_timestamp

Definition at line 512 of file totemsrp.c.

## recovery_sort_queue

struct sq totemsrp_instance::recovery_sort_queue

Definition at line 366 of file totemsrp.c.

## regular_sort_queue

struct sq totemsrp_instance::regular_sort_queue

Definition at line 366 of file totemsrp.c.

## retrans_message_queue

struct cs_queue totemsrp_instance::retrans_message_queue

Definition at line 366 of file totemsrp.c.

## set_aru

unsigned int totemsrp_instance::set_aru

Definition at line 488 of file totemsrp.c.

## stats

totemsrp_stats_t totemsrp_instance::stats

Definition at line 516 of file totemsrp.c.

Referenced by totemsrp_stats_clear().

## threaded_mode_enabled

uint32_t totemsrp_instance::threaded_mode_enabled

Definition at line 522 of file totemsrp.c.

Referenced by totemsrp_threaded_mode_enable().

## timer_heartbeat_timeout

qb_loop_timer_handle totemsrp_instance::timer_heartbeat_timeout

Definition at line 419 of file totemsrp.c.

## timer_merge_detect_timeout

qb_loop_timer_handle totemsrp_instance::timer_merge_detect_timeout

Definition at line 411 of file totemsrp.c.

## timer_orf_token_hold_retransmit_timeout

qb_loop_timer_handle totemsrp_instance::timer_orf_token_hold_retransmit_timeout

Definition at line 409 of file totemsrp.c.

## timer_orf_token_retransmit_timeout

qb_loop_timer_handle totemsrp_instance::timer_orf_token_retransmit_timeout

Definition at line 407 of file totemsrp.c.

## timer_orf_token_timeout

qb_loop_timer_handle totemsrp_instance::timer_orf_token_timeout

Definition at line 403 of file totemsrp.c.

## timer_orf_token_warning

qb_loop_timer_handle totemsrp_instance::timer_orf_token_warning

Definition at line 405 of file totemsrp.c.

## timer_pause_timeout

qb_loop_timer_handle totemsrp_instance::timer_pause_timeout

Definition at line 401 of file totemsrp.c.

## token_callback_received_listhead

struct qb_list_head totemsrp_instance::token_callback_received_listhead

Definition at line 386 of file totemsrp.c.

## token_callback_sent_listhead

struct qb_list_head totemsrp_instance::token_callback_sent_listhead

Definition at line 386 of file totemsrp.c.

## token_recv_event_handle

void* totemsrp_instance::token_recv_event_handle

Definition at line 528 of file totemsrp.c.

## token_ring_id_seq

unsigned long long totemsrp_instance::token_ring_id_seq

Definition at line 484 of file totemsrp.c.

Referenced by main_iface_change_fn().

## token_sent_event_handle

void* totemsrp_instance::token_sent_event_handle

Definition at line 529 of file totemsrp.c.

## totem_config

struct totem_config* totemsrp_instance::totem_config

Definition at line 502 of file totemsrp.c.

Referenced by main_iface_change_fn(), totemsrp_ifaces_get(), and totemsrp_my_family_get().

## totemnet_context

void* totemsrp_instance::totemnet_context

Definition at line 500 of file totemsrp.c.

Referenced by totemsrp_crypto_reconfigure_phase(), totemsrp_crypto_set(), totemsrp_iface_set(), totemsrp_ifaces_get(), totemsrp_member_add(), totemsrp_member_remove(), totemsrp_nodestatus_get(), totemsrp_reconfigure(), and totemsrp_stats_clear().

## totemsrp_confchg_fn

void(* totemsrp_instance::totemsrp_confchg_fn) (enum totem_configuration_type configuration_type, const unsigned int *member_list, size_t member_list_entries, const unsigned int *left_list, size_t left_list_entries, const unsigned int *joined_list, size_t joined_list_entries, const struct memb_ring_id *ring_id)

Definition at line 460 of file totemsrp.c.

## totemsrp_deliver_fn

void(* totemsrp_instance::totemsrp_deliver_fn) (unsigned int nodeid, const void *msg, unsigned int msg_len, int endian_conversion_required)

Definition at line 454 of file totemsrp.c.

## totemsrp_log_level_debug

int totemsrp_instance::totemsrp_log_level_debug

Definition at line 432 of file totemsrp.c.

Referenced by main_iface_change_fn().

## totemsrp_log_level_error

int totemsrp_instance::totemsrp_log_level_error

Definition at line 426 of file totemsrp.c.

## totemsrp_log_level_notice

int totemsrp_instance::totemsrp_log_level_notice

Definition at line 430 of file totemsrp.c.

## totemsrp_log_level_security

int totemsrp_instance::totemsrp_log_level_security

Definition at line 424 of file totemsrp.c.

## totemsrp_log_level_trace

int totemsrp_instance::totemsrp_log_level_trace

Definition at line 434 of file totemsrp.c.

## totemsrp_log_level_warning

int totemsrp_instance::totemsrp_log_level_warning

Definition at line 428 of file totemsrp.c.

## totemsrp_log_printf

void(* totemsrp_instance::totemsrp_log_printf) (int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf

Definition at line 438 of file totemsrp.c.

## totemsrp_poll_handle

qb_loop_t* totemsrp_instance::totemsrp_poll_handle

Definition at line 450 of file totemsrp.c.

## totemsrp_service_ready_fn

void(* totemsrp_instance::totemsrp_service_ready_fn) (void)

Definition at line 467 of file totemsrp.c.

Referenced by main_iface_change_fn(), and totemsrp_service_ready_register().

## totemsrp_subsys_id

int totemsrp_instance::totemsrp_subsys_id

Definition at line 436 of file totemsrp.c.

## totemsrp_waiting_trans_ack_cb_fn

void(* totemsrp_instance::totemsrp_waiting_trans_ack_cb_fn) (int waiting_trans_ack)

Definition at line 469 of file totemsrp.c.

Referenced by totemsrp_trans_ack().

## tv_old

struct timeval totemsrp_instance::tv_old

Definition at line 496 of file totemsrp.c.

## use_heartbeat

unsigned int totemsrp_instance::use_heartbeat

Definition at line 504 of file totemsrp.c.

## waiting_trans_ack

uint32_t totemsrp_instance::waiting_trans_ack

Definition at line 524 of file totemsrp.c.

Referenced by totemsrp_avail(), totemsrp_mcast(), and totemsrp_trans_ack().

The documentation for this struct was generated from the following file:

- totemsrp.c